Package uk.ac.starlink.topcat

## Class UrlOptions

- java.lang.Object
- - uk.ac.starlink.topcat.UrlOptions

-     public class UrlOptions
      extends java.lang.Object

  Defines an action that consumes a URL.

  Some useful implementations are provided by static factory methods.

  Since:
    6 Feb 2018
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UrlOptions​(UrlInvoker[] invokers, java.util.Map<ResourceType,​UrlInvoker> dfltMap)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UrlOptions` | `createOptions​(DatalinkPanel dlPanel)` |
    `java.util.Map<ResourceType,​UrlInvoker>` | `getDefaultsMap()` |
    `UrlInvoker[]` | `getInvokers()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlOptions

          public UrlOptions​(UrlInvoker[] invokers,
                            java.util.Map<ResourceType,​UrlInvoker> dfltMap)

  - ### Method Detail

    - #### getInvokers

          public UrlInvoker[] getInvokers()

    - #### getDefaultsMap

          public java.util.Map<ResourceType,​UrlInvoker> getDefaultsMap()

    - #### createOptions

          public static UrlOptions createOptions​(DatalinkPanel dlPanel)